part of 'reports_bloc.dart';

abstract class ReportsEvent extends Equatable {
  const ReportsEvent();

  @override
  List<Object?> get props => [];
}

class LoadDashboardReports extends ReportsEvent {
  const LoadDashboardReports();
}

class LoadMembresStats extends ReportsEvent {
  const LoadMembresStats();
}

class LoadCotisationsStats extends ReportsEvent {
  final int annee;
  const LoadCotisationsStats({required this.annee});

  @override
  List<Object?> get props => [annee];
}

class LoadEvenementsStats extends ReportsEvent {
  const LoadEvenementsStats();
}

class ScheduleReportRequested extends ReportsEvent {
  final String? cronExpression;
  const ScheduleReportRequested({this.cronExpression});

  @override
  List<Object?> get props => [cronExpression];
}

class GenerateReportRequested extends ReportsEvent {
  final String type;
  final String? format;
  const GenerateReportRequested(this.type, {this.format});

  @override
  List<Object?> get props => [type, format];
}
